*{
  box-sizing: border-box;
}

html,
body, 
#root {
  height:100%;
  margin: 0;
  padding: 0;
}

body {
  font-size: 14px;
  font-family: "Open Sans", sans-serif;
}

.app {
  position: absolute;
  width: 100%;
  height: 100%;
  background: #a8cd1b;
  white-space: nowrap;
  padding: 30px 15px;
  overflow: scroll;
}

h1{
  font-weight: 400;
  color: #3b414c;
  font-size: 20px;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}


.list {
  position: relative;
  display: inline-block;
  vertical-align: top;
  white-space: normal;
  height: auto;
  width: 25%;
  overflow: auto;
  padding: 10px;
}

.list:not(:last-child):after{
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  width: 1px;
  height: 99%;
  background: linear-gradient(to bottom, #eee 0%, #ccc 50%, #eee 100%) fixed;
}

.card {
  position: relative;
  z-index: 1;
  background: #fff;
  width: 100%;
  padding: 10px 10px 10px 15px;
  margin: 0 0 10px 0;
  overflow: auto;
  border: 1px solid #e5e5df;
  border-radius: 3px;
  box-shadow: 0 1px 0 rgba(0, 0, 0, 0.25);
}

.card--is-dragging {
  box-shadow: 7px 7px 7px #787878;
}

.card__title {
  font-weight: bold;
  cursor: pointer;
  border-bottom: solid 5px transparent;
}

.card__title:before {
  display: inline-block;
  width: 1em;
  font-family: 'FontAwesome';
  font-size: 16px;
  content: "\f105";
}

.card__title--is-open:before {
  content: "\f107";
}

.card__toggle-enter {
    max-height: 0;
    overflow: hidden;
}

.card__toggle-enter.card__toggle-enter-active {
    max-height: 300px;
    overflow: hidden;
    transition: max-height .25s ease-in;
}

.card__toggle-leave {
    max-height: 300px;
    overflow: hidden;
}

.card__toggle-leave.card__toggle-leave-active {
    max-height: 0;
    overflow: hidden;
    transition: max-height .25s ease-out;
}

.checklist ul {
  margin-bottom: 15px;
}

.checklist__task:not(last-child) {
    margin-bottom: 5px;
}

.checklist__task:first-child {
  margin-top: 10px;
  padding-top: 10px;
  border-top: dashed 1px #ddd;
}

.checklist__task--done {
    text-decoration: line-through;
}

button.checklist__task--remove {
    background: transparent;
    border: none;
    cursor: pointer;
}

.checklist__task--remove:after{
  display: inline-block;
  color: #d66;
  content: "x";
  margin: 0 10px;
}

.checklist--add-task {
  border: 1px dashed #bbb;
  width: 100%;
  padding: 10px;
  margin-bottom: 20px;
  border-radius: 3px;
}

.checklist__task-input {
    display: inline-block;
    margin-right: 5px;
    width: 15px;
    height: 15px;
    transform: translateY(1px);
}

.list {
    background-color: #eee;
    border-radius: 5px;
    margin: 0 10px;
}

.list__title {
    color: white;
    margin-bottom: 20px;
}

.list--todo .list__title {
    color: #2e4bfd;
}

.list--in-progress .list__title {
    color: #ffcc00;
}

.list--done .list__title {
    color: #57d03b;
}

.list--todo .card__border-left {
    background-color: #2e4bfd;
}

.list--in-progress .card__border-left {
    background-color: #ffcc00;
}

.list--done .card__border-left {
    background-color: #57d03b;
}

.overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0; left: 0; bottom: 0; right: 0;
  z-index: 2;
  background-color: rgba(0, 0, 0, 0.6);
}
 
.card.big {
  position: absolute;
  width: 450px;
  height: 200px;
  margin: auto;
  padding: 15px;
  top: 0; left: 0; bottom: 100px; right: 0;
  z-index: 3;
}
 
.card.big input[type=text], textarea {
  width : 100%;
  margin: 3px 0;
  font-size: 13px;  
  border: none;
}

.card.big input[type=text] {
  font-size: 20px;
  font-weight: bold;
}

.card.big input[type=text]:focus,
.card.big textarea:focus {
  outline: dashed thin #999;
  outline-offset: 2px;
}
 
.card.big label {
  margin: 3px 0 7px 3px;
  color: #a7a7a7;
  display: inline-block;
  width: 60px;
}
 
.actions {
  margin-top: 10px;
  text-align: right;
}
 
.card.big button {
  font-size:14px;
  padding: 8px;
}

.float-button {
  position: fixed;
  height: 56px;
  width: 56px;
  z-index: 2;
  right: 32px;
  bottom: 32px;
  border-radius: 100%;
  text-align: center;
  text-decoration: none;
  line-height: 55px;
  box-shadow: 0 5px 10px rgba(0, 0, 0, 0.5);
  transition: all 0.3s ease;
  overflow: hidden;
  font-size: 16px;
  border: 0;
  cursor: pointer;
  outline: none;

  background-image: url('https://scontent.fhan2-1.fna.fbcdn.net/v/t1.0-9/20431724_1915528802047079_4615926190076084955_n.jpg?oh=34d7fadd0259bc0745177a9f38e4aede&oe=5A0038D9');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.float-button:active {
  outline: none;
}

.float-button:hover {
  color: white;
  transform: translateY(5px);
}

.card__edit{
  position: absolute;
  top: 10px;
  right: 10px;
  opacity: 0;
  transition: opacity .25s ease-in;
}

.card:hover .card__edit{
  opacity: 1;
}

.card__edit a{
  text-decoration: none;
  color: #999;
  font-size: 18px;
}

img {
  width: 101%;
  height: auto;
}

.modal-body input,
.modal-body select,
.modal-body textarea {
  margin-bottom: 15px;
}

.actions button {
  margin-left: 15px;
  cursor: pointer;
}

.btn-default {
  color: #555;
}

.app_bg {
  position: fixed;
  right: 15px;
  bottom: 50%;
  width: 300px;
  height: auto;
  padding: 25px 15px;
  background-color: #fafafa;
  z-index: 9;
  transform: translate(100%, 100%);
  transition: all 0.35s ease;
}

.app_bg label {
  color: #666;
}

.app_bg label span {
  display: block;
  margin-bottom: 15px;
  font-size: 12px;
  font-style: italic;
}

.app_bg label input[type="text"] {
  width: 250px;
}

.app_bg.app_bg--open {
  transform: translate(0, 100%);
}

.app_config {
  position: absolute;
  top: 0;
  left: -50px;
  width: 50px;
  height: 50px;
  line-height: 50px;
  text-align: center;
  background-color: white;
  cursor: pointer;
}
